com.unitech.lib.engine.types

## Enum ControlCharacterFilter

- java.lang.Object
- - java.lang.Enum<ControlCharacterFilter>
  - - com.unitech.lib.engine.types.ControlCharacterFilter

- All Implemented Interfaces:
    Serializable, Comparable<ControlCharacterFilter>

      public enum ControlCharacterFilter
      extends Enum<ControlCharacterFilter>

  The ControlCharacterFilter enum represents different types of control character filters. Each control character filter is associated with a unique byte value and a descriptive string message. The enum also provides methods to get the byte value and string message of a control character filter, and to get a control character filter from its byte value. It also provides a method to get an array containing the names of the control character filters.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `noSend`
    `partialSend`
    `send`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ControlCharacterFilter` | `fromValue(int value)` Gets a control character filter from its byte value.
    `byte` | `getCode()` Gets the byte value of the control character filter.
    `static String[]` | `names()` Returns an array containing the names of the control character filter constants.
    `String` | `toString()` Returns the string message of the control character filter.
    `static ControlCharacterFilter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ControlCharacterFilter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### noSend

          public static final ControlCharacterFilter noSend

    - #### send

          public static final ControlCharacterFilter send

    - #### partialSend

          public static final ControlCharacterFilter partialSend

  - ### Method Detail

    - #### values

          public static ControlCharacterFilter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ControlCharacterFilter c : ControlCharacterFilter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ControlCharacterFilter valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the control character filter.
      Returns:
        The byte value of the control character filter.

    - #### toString

          public String toString()

      Returns the string message of the control character filter.
      Overrides:
        `toString` in class `Enum<ControlCharacterFilter>`
      Returns:
        The string message of the control character filter.

    - #### fromValue

          public static ControlCharacterFilter fromValue(int value)
                                                  throws IllegalArgumentException

      Gets a control character filter from its byte value.
      Parameters:
        `value` - The byte value of the control character filter.
      Returns:
        The control character filter associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any control character filter.

    - #### names

          public static String[] names()

      Returns an array containing the names of the control character filter constants.
      Returns:
        An array containing the names of the control character filter constants.